Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.categorypolicy
Class DefaultPathPolicy

    java.lang.Object
      org.apache.lucene.facet.index.categorypolicy.DefaultPathPolicy

All Implemented Interfaces:
  Serializable, PathPolicy

    public class DefaultPathPolicy

extends Object
implements PathPolicy

This class filters our the ROOT category path. For more information see `PathPolicy`.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`DefaultPathPolicy()`

Method Summary
`boolean` | `shouldAdd(CategoryPath categoryPath)` Filters out (returns false) CategoryPaths equal or less than `TaxonomyReader.ROOT_ORDINAL`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPathPolicy

    public DefaultPathPolicy()

Method Detail

### shouldAdd

    public boolean shouldAdd(CategoryPath categoryPath)

  Filters out (returns false) CategoryPaths equal or less than `TaxonomyReader.ROOT_ORDINAL`. true otherwise.

  Specified by:
    `shouldAdd` in interface `PathPolicy`
  Parameters:
    `categoryPath` - A given category path which is to be tested for stream addition.
  Returns:
    `true` if the category path should be added. `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD